<?php
    session_start();
    if($_SESSION['logged'] != true)
        exit("<center>Please Login first<br><a href='../pb-admin.php' class='btn btn-danger'>Login</button></center>");
    include("../php/db_login.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Control Panel</title>
    <link rel="icon" href="../images/logos/tab_icon.jpg">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>
<body>
    <?php
        $active = "alt_gallery";
        include("alt_php/navbar.php");
    ?>

    <div style="margin-top:100px"></div>

    <div class="container">
        <div class="row mb-5">
            <div class="col-12 text-center">
                <h1>Upload/Delete Images in Gallery</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-lg-6">
                <h4>Upload New Photo</h4>
                <form method = "POST" enctype = "multipart/form-data">
                    <input type="file" class="form-control mb-2" name="image">
                    <input type = "submit" class="form-control btn btn-success mb-2" name="submit" value="Upload">
                    <small>* Size limit - 2MB</small>
                </form>
            </div>

            <div class="col-12 col-lg-6">
                <h4>Delete Existing Photo</h4>
                    <form action='' method='POST'>
                    <?php
                        $sql = "SELECT adrs FROM img_add where 1";
                        $result = $conn -> query($sql);
    
                        if($result -> num_rows > 0) {
                            echo "
                            <div class='form-group'>
                            <select class='form-control' name='img_select'>
                            <option value=''>None Selected</option>
                            ";
                            while ($row = $result -> fetch_assoc()) {
                                echo "<option value='". $row['adrs'] . "'>" . $row['adrs'] . "</option>";
                            }
                            echo "
                                </select>
                                </div>
                                <input type = 'submit' class='form-control btn btn-danger' name='del_img' value='Delete'>
                            ";
                        }
                    ?>
                    </form>
            </div>
        </div>
    </div>

    <?php
        if(isset($_FILES['image'])) {
            $errors= array();
            $file_name = $_FILES['image']['name'];
            $file_size = $_FILES['image']['size'];
            $file_tmp = $_FILES['image']['tmp_name'];
            $file_type = $_FILES['image']['type'];
            $file_ext = strtolower(end(explode('.',$_FILES['image']['name'])));
      
            $expensions= array("jpeg","jpg","png");
      
            if(in_array($file_ext,$expensions)=== false){
                $errors[]="This extension not allowed, please choose a JPEG or PNG file.";
            }
      
            if($file_size > 2097152) {
                $errors[]='File size must be less than 2 MB';
            }
      
            if(empty($errors) == true) {
                move_uploaded_file($file_tmp,"../images/gallery/".$file_name);

                $sql = "INSERT INTO img_add (adrs) VALUES ('$file_name')";

                if ($conn->query($sql) === TRUE) {
                    echo "<script>alert('Uploaded Successfully');</script>";
                    //header("Refresh:0");
                }
                else {
                    echo "Error: " . $sql . "<br>" . $conn->error;
                }  
            }
            else {
                print_r($errors);
            }
        }

        if(isset($_POST['del_img'])) {
            $img = $_POST['img_select'];
            
            if($img == '')
                exit("No image Selected!");

            $sql = "DELETE FROM img_add WHERE adrs = '$img'";

            if ($conn->query($sql) === TRUE) {
                $delete_loc = "../images/gallery/" . $img;
                if(unlink($delete_loc))
                    echo "<script>alert('Image deleted successfully');</script>";
            }
            else {
                echo "Error deleting record: " . $conn->error;
            }
        }
    ?>


    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>